# CreditCardScannerGuidanceStates class

Configure the captions of the user guidance hints for different scanning states.

## Constructors

CreditCardScannerGuidanceStates.new({String noCardFound = "?creditCardUserGuidanceNoCardFound", String scanningProgress = "?creditCardUserGuidanceScanningProgress", String tooDark = "?creditCardUserGuidanceTooDark", String tooSmall = "?creditCardUserGuidanceTooSmall", String badPerspective = "?creditCardUserGuidanceBadPerspective"})
CreditCardScannerGuidanceStates.fromJson(Map<String, dynamic> json)
  factory

## Properties

badPerspective ↔ String
  The user guidance text displayed when the detected card is not in a good perspective (device tilted).
  getter/setter pair
hashCode → int
  The hash code for this object.
  no setter inherited
noCardFound ↔ String
  The user guidance text displayed when no credit card is found. Initial state.
  getter/setter pair
runtimeType → Type
  A representation of the runtime type of the object.
  no setter inherited
scanningProgress ↔ String
  The user guidance text displayed when a card presence was detected and scanning is in progress.
  getter/setter pair
tooDark ↔ String
  The user guidance text displayed when it is too dark to capture an adequate image.
  getter/setter pair
tooSmall ↔ String
  The user guidance text displayed when the detected card is too far away and appears too small.
  getter/setter pair

## Methods

noSuchMethod(Invocation invocation) → dynamic
  Invoked when a nonexistent method or property is accessed.
  inherited
toJson({ToJsonConfiguration? config}) → Map<String, dynamic>
toString() → String
  A string representation of this object.
  inherited

## Operators

operator ==(Object other) → bool
  The equality operator.
  inherited